//
// MUX
//
// An Objective-C class for simulating a MUX.
//
// Note: It is VERY dangerous to specify a number n of input select bits
// and not pass an array of 2^n nodes. This case cannot be tested, so
// MUX assumes the array is the correct size, and that everything in it
// is a Node pointer.
//


#import "Node.h"


@interface MUX : Node


{
    //
    // Internal Data:
    //
    
    int		numselectbits;				// Number of select bits.
    int		numinputs;				// Number of input nodes.
    
    //
    // External Interface:
    //
    
    Node	*SELECT;				// The select Node.
    Node	**INS;					// An array of input Nodes.
    Node	*OUT;					// The output Node.
}


- initNumBits:(int)nbits				// Number of bits.
	numselectbits:(int)nselbits			// Number of select bits.
	select:selnode					// Node of select lines.
	sources:(id *)sourceArray			// Array of sources.
	out:outnode;
- free;

- cycle;


@end


//
// End of file.
//